Bug 30256 - В репозитории не хватает зависимостей
: В репозитории не хватает зависимостей
Status: CLOSED FIXED
: Branch p7
(All bugs in Branch p7/dhcp-server)
: не указана
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2014-08-27 14:49 by
Modified: 2014-08-27 23:05 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2014-08-27 14:49:29
The following packages have unmet dependencies:
  dhcp-server: PreDepends: dhcp-common (= 1:4.2.5-alt2)
               Depends: dhcp-libs (= 1:4.2.5-alt2)
               Depends: libdns-export.so.99()(64bit) (>=
set:nj8PW4wgQnoJPE2otKyuixlMGu6)
E: Broken packages

при этом в 
libisc-export
Хотим   libdns-export.so.99()(64bit) (>= set:nj8PW4wgQnoJPE2otKyuixlMGu6)
а имеем
rpm -ql libisc-export
/usr/lib64/libdns-export.so.100
/usr/lib64/libdns-export.so.100.2.2
/usr/lib64/libirs-export.so.91
/usr/lib64/libirs-export.so.91.0.0
/usr/lib64/libisc-export.so.95
/usr/lib64/libisc-export.so.95.5.0
/usr/lib64/libisccfg-export.so.90
/usr/lib64/libisccfg-export.so.90.1.0
------- Comment #1 From 2014-08-27 16:23:14 -------
[root@c228 ~]# rpm -q libisc-export
libisc-export-9.9.3-alt3
[root@c228 ~]# rpm -ql libisc-export | grep libdns-export.so.99
/usr/lib64/libdns-export.so.99
/usr/lib64/libdns-export.so.99.0.1

Если у вас на системе с p7 стоит libisc-export-9.9.5 из Sisyphus, то отстрел
ног - не наша проблема.
------- Comment #2 From 2014-08-27 21:45:52 -------
М-да, вот уж о чём не подумал.  На всякий: http://altlinux.org/downgrade
------- Comment #3 From 2014-08-27 23:05:06 -------
Господа прошу прощенья.. Для чего-то делал бекпорт для себя isc-export из
сизифа. а потом удалил тестовый репозиторий и забыл что ошмётки остались. Ещё
раз прошу прощенья